/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\TCCIT_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCCIT_HDZS_B_2015') 
 CREATE TABLE T_TCCIT_HDZS_B_2015 (
FID BIGINT DEFAULT 0 NOT NULL,
FEWBLXH VARCHAR(30) DEFAULT ' ' NOT NULL,
FEWBLNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FSBBID VARCHAR(50) DEFAULT ' ' NOT NULL,
FSRZE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FJBZSSR DECIMAL(23,10) DEFAULT 0 NOT NULL,
FMZSR DECIMAL(23,10) DEFAULT 0 NOT NULL,
FGZLXSR DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDFZFZJLXSR DECIMAL(23,10) DEFAULT 0 NOT NULL,
FJMQYGXHL DECIMAL(23,10) DEFAULT 0 NOT NULL,
FFYLZZSR DECIMAL(23,10) DEFAULT 0 NOT NULL,
FQTMZSR DECIMAL(23,10) DEFAULT 0 NOT NULL,
FYSSRE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FHDYNSDL DECIMAL(23,10) DEFAULT 0 NOT NULL,
FYNSSDE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCBFYZE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSWJGHDYNSDL DECIMAL(23,10) DEFAULT 0 NOT NULL,
FYNSSDE1 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSL DECIMAL(23,10) DEFAULT 0 NOT NULL,
FYNSDSHUIE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FJFHTJXXWLQY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FQZJBZS DECIMAL(23,10) DEFAULT 0 NOT NULL,
FYJNSDSE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FYBUSDSE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSWJGUANHEDINGYNSDSE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FXXWLQY VARCHAR(30) DEFAULT ' ' NOT NULL,
FSSHY VARCHAR(128) DEFAULT ' ' NOT NULL,
FCYRS DECIMAL(23,10) DEFAULT 0 NOT NULL,
FZCZE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FGJXZHJZHY VARCHAR(30) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCCIT_HSQJSBB_B_2018') 
 CREATE TABLE T_TCCIT_HSQJSBB_B_2018 (
FID BIGINT DEFAULT 0 NOT NULL,
FSRZE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FJBZSSR DECIMAL(23,10) DEFAULT 0 NOT NULL,
FJMZSR DECIMAL(23,10) DEFAULT 0 NOT NULL,
FGZLXSRMZQYSDS DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTZSY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FHGTHJGXHL DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSGTHGGXHL DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTZZJJSY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FZFZJLISR DECIMAL(23,10) DEFAULT 0 NOT NULL,
FYSSRECYCBFYZE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSWJGHDYSSDL DECIMAL(23,10) DEFAULT 0 NOT NULL,
FYNSSDE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSL DECIMAL(23,10) DEFAULT 0 NOT NULL,
FYNSDSSE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FJFHTJXXWLQY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FJSJYNSD DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBQYBSDSE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FEWBLXH VARCHAR(30) DEFAULT ' ' NOT NULL,
FEWBLNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FSBBID VARCHAR(50) DEFAULT ' ' NOT NULL,
FXXWLQY VARCHAR(30) DEFAULT ' ' NOT NULL,
FSSHYMXDM VARCHAR(128) DEFAULT ' ' NOT NULL,
FQMCYRS DECIMAL(23,10) DEFAULT 0 NOT NULL,
FGJXZHJZHY VARCHAR(30) DEFAULT ' ' NOT NULL,
FJCCYRS DECIMAL(23,10) DEFAULT 0 NOT NULL,
FJMCYRS DECIMAL(23,10) DEFAULT 0 NOT NULL,
FJCZCZE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FJMZCZE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FZCZE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCYRS DECIMAL(23,10) DEFAULT 0 NOT NULL,
FHDZSFS VARCHAR(30) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TCCIT_APITUDEINFO' AND KSQL_COL_NAME ='FPROFITMYEAR') 
 ALTER TABLE T_TCCIT_APITUDEINFO ADD (FPROFITMYEAR VARCHAR(50) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TCCIT_APITUDEINFO' AND KSQL_COL_NAME ='FPRIORITYTION') 
 ALTER TABLE T_TCCIT_APITUDEINFO ADD (FPRIORITYTION VARCHAR(50) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TCCIT_APITUDEINFO' AND KSQL_COL_NAME ='FYXSY') 
 ALTER TABLE T_TCCIT_APITUDEINFO ADD (FYXSY CHAR(1) DEFAULT ' ' NOT NULL );

/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\TCCIT_table.sql **/
